function [x,y] = ell2cart(u,v,c) 
//this program transforms a point from cartesian to elliptical coordinates
//v coordinates are the asymptotic angle of confocal hyperbolic cylinders symmetrical
//about the x-axis. [0,2pi)
//u coordinates are confocal elliptic cylinders centered on the origin.[0,inf)  
//c is the distance between the foci and the origin.
//x,y the cartesian coordiantes along the x and y axises, they are both matrices when u and v are vectors.
ieee(1);				// Display warning for floating point exception

x=c*cosh(u)'*cos(v);
y=c*sinh(u)'*sin(v);
endfunction
